Subject: bug#3224: 23.0.92; vc-dir vs uniquify: wrong directory used

From: Stefan Monnier <[email-masked]>
Date: Thu, 07 Jan 2010 09:54:57 -0500

> The dired and vc-dired cases are not exactly equivalent.

I know.  The right way to think about it is in terms of file names.
If you want uniquify to show you "dir-1|A" and "dir-2|A", then the file
names should be "/foo/dir-1/A" and "/foo/dir-2/A".
So for vc-dir, you want "*vc-dir*" instead of A, right?  So you want
file names of the form "/foo/dir-1/*vc-dir*" and "/foo/dir-2/*vc-dir*".

> Now, if you consider than always removing an element from BUFFER is
> the right thing to do for u-b-f-n, we'll have to agree to disagree;
> IMHO, that's not what its docstring says.

Yes, the docstring has been wrong since day one and I'm guilty of never
fixing it.

        Stefan